Bug 258206 (poppler-21.09.0) - [exp-run] Upgrade graphics/poppler to 21.09.0
Summary: [exp-run] Upgrade graphics/poppler to 21.09.0
Status: Closed FIXED
Alias: poppler-21.09.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-02 04:06 UTC by Tobias C. Berner
Modified: 2021-09-06 16:41 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (1.98 KB, patch)
2021-09-02 04:06 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-09-02 04:06:44 UTC
Created attachment 227602 [details]
v1

Moin moin

desktop@ would like for an exp-run to update graphics/poppler* to 21.09.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/0001-graphics-poppler-update-to-21.09.patch



mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2021-09-05 19:27:46 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2021-09-06 16:32:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d98b56f1deb5b6a03a7e04fc16192ecb2af9df1e

commit d98b56f1deb5b6a03a7e04fc16192ecb2af9df1e
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-09-02 04:04:35 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-09-06 16:31:18 +0000

    graphics/poppler: update to 21.09

    Release 21.09.0:
            core:
             * Splash: Massive speed improvement on files that use lots of save/restore (q/Q) operators
             * Correct decoding of signature properties Reason & Location when they are Unicode
             * Fix issues with malformed files
             * MSVC build fixes

            build system:
             * Call cmake_minium_required() before project()
             * Always append to CMAKE_{C,CXX}_FLAGS_${CMAKE_BUILD_TYPE}
             * correctly forward user-provided flags to try_compile()

    Exp-run by:     antoine
    PR:             258206

 converters/pdf2djvu/Makefile     | 2 +-
 databases/kbibtex/Makefile       | 2 +-
 devel/efl/Makefile               | 2 +-
 devel/kf5-kfilemetadata/Makefile | 2 +-
 editors/calligra/Makefile        | 2 +-
 editors/kile/Makefile            | 2 +-
 editors/libreoffice/Makefile     | 2 +-
 editors/libreoffice6/Makefile    | 2 +-
 editors/texstudio/Makefile       | 2 +-
 editors/texworks/Makefile        | 2 +-
 graphics/diff-pdf/Makefile       | 2 +-
 graphics/gdal/Makefile           | 2 +-
 graphics/inkscape/Makefile       | 2 +-
 graphics/krita/Makefile          | 2 +-
 graphics/okular/Makefile         | 1 +
 graphics/openfx-arena/Makefile   | 2 +-
 graphics/poppler/Makefile        | 4 ++--
 graphics/poppler/distinfo        | 6 +++---
 math/cantor/Makefile             | 1 +
 math/labplot/Makefile            | 2 +-
 misc/tellico/Makefile            | 2 +-
 net/kitinerary/Makefile          | 1 +
 print/pdf-tools/Makefile         | 2 +-
 print/scribus-devel/Makefile     | 2 +-
 print/texlive-base/Makefile      | 2 +-
 textproc/pdfgrep/Makefile        | 2 +-
 textproc/py-pdftotext/Makefile   | 2 +-
 27 files changed, 30 insertions(+), 27 deletions(-)
Comment 3 Tobias C. Berner freebsd_committer 2021-09-06 16:37:21 UTC
Committed. Thanks for the-exp run.


mfg Tobias
Comment 4 commit-hook freebsd_committer 2021-09-06 16:41:30 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=392e088e76487db170a8f97468eb7ab02bab6538

commit 392e088e76487db170a8f97468eb7ab02bab6538
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-09-06 16:39:42 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-09-06 16:39:42 +0000

    poppler: bump revisions of users

    Bump the remaining users of poppler after d98b56f1deb5b6a03a7e04fc16192ecb2af9df1e

    PR:             258206

 deskutils/calibre/Makefile              | 1 +
 deskutils/lumina-pdf/Makefile           | 2 +-
 deskutils/xfce4-tumbler/Makefile        | 2 +-
 editors/gummi/Makefile                  | 2 +-
 editors/setzer/Makefile                 | 2 +-
 graphics/atril/Makefile                 | 2 +-
 graphics/diffpdf/Makefile               | 2 +-
 graphics/dspdfviewer/Makefile           | 2 +-
 graphics/engauge-digitizer/Makefile     | 2 +-
 graphics/epdfview/Makefile              | 2 +-
 graphics/evince/Makefile                | 2 +-
 graphics/geeqie/Makefile                | 2 +-
 graphics/gegl/Makefile                  | 2 +-
 graphics/gimp-app/Makefile              | 2 +-
 graphics/graphviz/Makefile              | 2 +-
 graphics/katarakt/Makefile              | 2 +-
 graphics/osg/Makefile                   | 2 +-
 graphics/osg34/Makefile                 | 2 +-
 graphics/pdf2svg/Makefile               | 2 +-
 graphics/pdfpc/Makefile                 | 2 +-
 graphics/pqiv/Makefile                  | 2 +-
 graphics/py-python-poppler-qt5/Makefile | 2 +-
 graphics/qcomicbook/Makefile            | 2 +-
 graphics/sane-backends/Makefile         | 2 +-
 graphics/tikzit/Makefile                | 2 +-
 graphics/vips/Makefile                  | 2 +-
 graphics/xournal/Makefile               | 2 +-
 graphics/xournalpp/Makefile             | 2 +-
 graphics/yacreader/Makefile             | 2 +-
 graphics/zathura-pdf-poppler/Makefile   | 2 +-
 mail/claws-mail-pdf_viewer/Makefile     | 2 +-
 print/cups-filters/Makefile             | 2 +-
 print/deforaos-pdfviewer/Makefile       | 2 +-
 print/qpdfview/Makefile                 | 2 +-
 print/xreader/Makefile                  | 2 +-
 sysutils/tracker-miners/Makefile        | 2 +-
 x11-toolkits/rubygem-poppler/Makefile   | 2 +-
 x11/eaglemode/Makefile                  | 2 +-
 38 files changed, 38 insertions(+), 37 deletions(-)